> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fleetit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Payment Status

> Update the payment status of a driver invoice.



## OpenAPI

````yaml patch /v2/driver/invoices/{id}/payment-status/
openapi: 3.0.3
info:
  title: Fleet IT Customer API
  version: 2.0.0
  description: >-
    Public API for Fleet IT platform customers.


    For detailed guides, authentication setup, error codes, and integration
    examples, see the [Fleet IT
    Documentation](https://docs.fleetit.com/documentation/overview).


    ## Headers


    All authenticated endpoints accept an optional `Fleet-Id` header (integer)
    to specify which fleet to operate on. If omitted, the user's default fleet
    is used.
servers: []
security:
  - JWT: []
  - APIKey: []
externalDocs:
  url: https://docs.fleetit.com/documentation/overview
  description: Fleet IT Documentation
paths:
  /v2/driver/invoices/{id}/payment-status/:
    patch:
      tags:
        - Driver Invoices
      operationId: v2_driver_invoices_payment_status_partial_update
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          description: A unique integer value identifying this Driver Invoice Upload.
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedDriverInvoiceUpload'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PatchedDriverInvoiceUpload'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PatchedDriverInvoiceUpload'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DriverInvoiceUpload'
          description: ''
components:
  schemas:
    PatchedDriverInvoiceUpload:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        driver:
          allOf:
            - $ref: '#/components/schemas/Driver'
          readOnly: true
        invoice_number:
          type: string
          maxLength: 255
        amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,4}(?:\.\d{0,2})?$
        file:
          type: string
          format: uri
        file_url:
          type: string
          readOnly: true
        payment_status:
          $ref: '#/components/schemas/PaymentStatusEnum'
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
    DriverInvoiceUpload:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        driver:
          allOf:
            - $ref: '#/components/schemas/Driver'
          readOnly: true
        invoice_number:
          type: string
          maxLength: 255
        amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,4}(?:\.\d{0,2})?$
        file:
          type: string
          format: uri
        file_url:
          type: string
          readOnly: true
        payment_status:
          $ref: '#/components/schemas/PaymentStatusEnum'
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - amount
        - created_at
        - driver
        - file
        - file_url
        - id
        - invoice_number
        - updated_at
    Driver:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        email:
          type: array
          items:
            type: string
            format: email
        driver_id:
          type: string
          nullable: true
          maxLength: 255
        first_name:
          type: string
          maxLength: 100
        last_name:
          type: string
          maxLength: 100
        address_line_1:
          type: string
          maxLength: 100
        address_line_2:
          type: string
          nullable: true
          maxLength: 100
        city:
          type: string
          maxLength: 50
        state:
          type: string
          maxLength: 2
        zip:
          type: string
          maxLength: 10
          minLength: 5
        contact_number:
          type: string
          nullable: true
          maxLength: 15
      required:
        - address_line_1
        - city
        - first_name
        - id
        - state
        - zip
    PaymentStatusEnum:
      enum:
        - pending
        - succeeded
        - failed
      type: string
      description: |-
        * `pending` - Pending
        * `succeeded` - Succeeded
        * `failed` - Failed
  securitySchemes:
    JWT:
      type: http
      scheme: bearer
      bearerFormat: JWT
    APIKey:
      type: apiKey
      in: header
      name: Authorization

````